{ config, lib, ... }:

lib.mkIf (lib.elem "nvim::render-markdown-nvim" config.machine.services) {
  programs.nvim-lazy = {
    lazyPlugins = [
      {
        lazy = true;
        cmd = [ "RenderMarkdown" ];
        dir = vPlug: vPlug.render-markdown-nvim;
        ft = [
          "markdown"
          "vimwiki"
        ];
        dependencies =
          vPlug: with vPlug; [
            nvim-web-devicons
            "nvim-treesitter"
          ];
        opts = {
          completions = {
            lsp = {
              enabled = true;
            };
          };
        };
      }
    ];
  };
}
